package main

import (
	"fmt"
	"os"

	"internal/calibration"
)

// Provide a filename as input, get the result on stdout
func main() {
	x := 0
	seen := calibration.Set{} // we don't use this until day01-2, just added here for backwards compatibility

	x, _ = calibration.ScanFrequencies(os.Args[1], &seen, x)

	fmt.Println("Frequency list scanned, calibration complete: ", x)
}
