package main

import (
	"fmt"

	"internal/coords"
	"internal/util"
)

func main() {
	data := util.ReadInput()
	points := coords.ParsePoints(data)

	coords.ComputeRectilinearAreas(points)

	biggest := points[0]
	for _, point := range points {
		if point.RectArea > biggest.RectArea {
			biggest = point
		}
	}
	fmt.Println(biggest.RectArea)
}
