package main

import (
	"fmt"

	"internal/coords"
	"internal/util"
)

func main() {
	data := util.ReadInput()
	points := coords.ParsePoints(data)

	area := coords.ComputeNearnessRegion(points, 10000)
	fmt.Println(area)
}
