package main

import (
	"fmt"

	"internal/tree"
	"internal/util"
)

func main() {
	data := util.ReadInput()

	// Build a tree of dependencies.
	root := tree.BuildDependencyTree(data)

	// Build
	time := tree.SimulateConstruction(root)
	fmt.Println(time)
}
